Subject: Re: texmf packages ready
From: Jan Nieuwenhuizen <[email-masked]>
To: Guy Worthington <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Jan 2002 13:55:36 +0100

Guy Worthington <[email-masked]> writes:
[cc: cygwin]

> Thankyou for providing the texmf packages.  'Just downloaded the base,
> doc and extra packages using your setup.ini (and Cygwin's setup.exe).
> The only trouble I had was my internet connection dropping out.  If it
> is possible, can the released packages be split into smaller sizes
> (say ~4MegaBytes)?

That's not easily possible, as far as I know.  However, the texmf-tiny
package (~1.8MB) is available as a minimal-download option.

If you keep having trouble with this, try using wget (now in contrib)
to download the files by hand.  Wget can continue downloading
partially downloaded files (-c switch).

Hmm, what does setup.exe do with partly downloaded tarballs?

> Your script post-texmf.sh, ran to completion, generating the plain,
> and latex format files for tex, etex and pdfetex. Running
>
>   latex sample2e
>
> generated a good .dvi file.

Ah, good.

> Running dvips on sample2e.dvi, gave errors such as
>
> mkdir: cannot create directory `/usr/share/texmf/fonts/pk/ljfour' permission denied

That's not good.  What is your $VARTEXFONTS set to?  Could you try:

       echo $VARTEXFONTS
       VARTEXFONTS=$HOME/texmf dvips -o x.ps sample2e.dvi

> One final observation, I use fpTeX on windows which sets the
> environment variable TEXMFCNF, within bash I reset this with command
>
>   export TEXMFCNF=/usr/share/texmf/web2c
>
> Is this correct?, or should I be pointing to another directory.

Yes, this should be ok; although unsetting it:

    unset TEXMFCNF

should also work.  Any other variables that get set by fpTeX?

Thanks for your report,
Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/